extends ContentInfo


# Declare member variables here. Examples:
# var a = 2
# var b = "text"
var setting_player_name = 0
var setting_fusion_name = 0

const MODUTILS: Dictionary = {
	"settings": [
		{
			"property" : "setting_player_name",
			"type": "options",
			"label": "Player Name",
			"values": [
				0,
				1,
				2,
				3
			],
			"value_labels": [
				"Beast",
				"Beast (Person)",
				"Person",
				"Person (Beast)"
			]
		},
		{
			"property" : "setting_fusion_name",
			"type": "options",
			"label": "Fusion Name",
			"values": [
				0,
				1,
				2,
				3
			],
			"value_labels": [
				"Beast/Beast",
				"Beast (Person)/Beast (Person)",
				"Person/Person",
				"Person (Beast)/Person (Beast)"
			]
		}
	]
}

func _init() -> void:
	#preload("FighterNode.gd").take_over_path("res://battle/fighter/FighterNode.gd")
	var f := File.new()
	f.open("res://mods/use_tape_name/FighterNode.gd", File.READ)
	FighterNode.source_code = f.get_as_text()
	FighterNode.reload()
	f.close()


# Called every frame. 'delta' is the elapsed time since the previous frame.
#func _process(delta):
#	pass
